Bug 1257044 - posix: xattrop should set result in response dictionary
posix: xattrop should set result in response dictionary
Status: MODIFIED
Product: GlusterFS
Classification: Community
Component: posix (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra G
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 03:18 EDT by Vijaikumar Mallikarjuna
Modified: 2016-09-20 02:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaikumar Mallikarjuna 2015-08-26 03:18:12 EDT
In posix xattrop, result is updated in the input dict, it should instead set the result in response dictionary
Comment 1 Anand Avati 2015-08-26 03:26:20 EDT
REVIEW: http://review.gluster.org/12012 (posix: xattrop should set result in response dictionary) posted (#1) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)
Comment 2 Anand Avati 2015-08-26 03:53:08 EDT
REVIEW: http://review.gluster.org/12012 (posix: xattrop should set result in response dictionary) posted (#2) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)
Comment 3 Vijaikumar Mallikarjuna 2016-04-06 23:22:14 EDT
Patch "http://review.gluster.org/11995" fixes the problem

Note You need to log in before you can comment on or make changes to this bug.